Dirac Video Codec

# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::CodingParamsByteIO Class Reference

Represents compressed sequence-parameter data used in an AccessUnit.

`#include <codingparams_byteio.h>`

Inheritance diagram for dirac::CodingParamsByteIO:
[legend]
Collaboration diagram for dirac::CodingParamsByteIO:
[legend]

List of all members.

## Public Member Functions

- CodingParamsByteIO (const SourceParams &src_params, CodecParams &codec_params, const SourceParams &default_source_params, const ByteIO &stream_data)
    Constructor.
- ~CodingParamsByteIO ()
    Destructor.
- void Input ()
    Reads sequence information from Dirac byte-format.
- void Output ()
    Outputs sequence information to Dirac byte-format.

## Private Member Functions

- void InputVideoDepth ()
    Reads number of bits used to compress input signal.
- void InputPictureCodingMode ()
    Reads picture coding mode - 0 - frames, 1 - fields.
- void OutputVideoDepth ()
    Outputs number of bits used to compress input signal.
- void OutputPictureCodingMode ()
    Outputs how input was coded - i.e.

## Private Attributes

- const SourceParams & m_src_params
    Source paramters for intput/output.
- CodecParams & m_codec_params
    Coding paramters for intput/output.
- const SourceParams & m_default_source_params
    Default source parameters.

## Constructor & Destructor Documentation

dirac::CodingParamsByteIO::CodingParamsByteIO | ( | const SourceParams & | src_params,
|  | CodecParams & | codec_params,
|  | const SourceParams & | default_source_params,
|  | const ByteIO & | stream_data |
| ) |  |  |

Parameters:

  | src_params | Source parameters
  | codec_params | Coding parameters
  | default_source_params | Default source parameters
  | stream_data | Source/Destination of data

dirac::CodingParamsByteIO::~CodingParamsByteIO | ( |  | ) |

## Member Function Documentation

void dirac::CodingParamsByteIO::Input | ( |  | ) |

void dirac::CodingParamsByteIO::Output | ( |  | ) |

void dirac::CodingParamsByteIO::InputVideoDepth | ( |  | ) | `[private]`

void dirac::CodingParamsByteIO::InputPictureCodingMode | ( |  | ) | `[private]`

void dirac::CodingParamsByteIO::OutputVideoDepth | ( |  | ) | `[private]`

void dirac::CodingParamsByteIO::OutputPictureCodingMode | ( |  | ) | `[private]`

frames or fields

## Member Data Documentation

const SourceParams& dirac::CodingParamsByteIO::m_src_params`[private]`

CodecParams& dirac::CodingParamsByteIO::m_codec_params`[private]`

const SourceParams& dirac::CodingParamsByteIO::m_default_source_params`[private]`

The documentation for this class was generated from the following file:

- codingparams_byteio.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.